const webpack = require('webpack');
const path = require('path');

module.exports = {
  entry: './src/index.js',
  devServer: {
    historyApiFallback: true,
  },
  module: {
    loaders: [
      { test: /\.js$/, loader: 'babel-loader', exclude: /node_modules/ },
      { test: /\.json$/, loader: 'json-loader' },
      { test: /\.scss$/, loaders: ['style-loader', 'css-loader', 'sass-loader'] },
      { test: /\.css$/, loaders: ['style-loader', 'css-loader'] },
      { test: /\.less$/, loaders: ['style-loader', 'css-loader', 'less-loader'] },
      { test: /\.(jpe?g|png|woff|woff2|eot|ttf|svg)(\?[a-z0-9=.]+)?$/, loader: 'url-loader?limit=100000' },
    ],
  },
  output: {
    path: __dirname,
    filename: './dist/index.min.js',
  },
  resolve: {
    modules: [path.resolve('./src'), path.resolve('./node_modules')],
  },
  plugins: [],
};
